| Home | Libraries | People | FAQ | More

### Class fiber::id

    #include <boost/fiber/fiber.hpp>

    namespace boost {
    namespace fibers {

    class id {
    public:
        constexpr id() noexcept;

        bool operator==( id const&) const noexcept;

        bool operator!=( id const&) const noexcept;

        bool operator<( id const&) const noexcept;

        bool operator>( id const&) const noexcept;

        bool operator<=( id const&) const noexcept;

        bool operator>=( id const&) const noexcept;

        template< typename charT, class traitsT >
        friend std::basic_ostream< charT, traitsT > &
        operator<<( std::basic_ostream< charT, traitsT > &, id const&);
    };

    }}

##### Constructor

    constexpr id() noexcept;

Effects:

  Represents an instance of not-a-fiber.

Throws:

  Nothing.

##### Member function `operator==`()

    bool operator==( id const& other) const noexcept;

Returns:

  `true` if `*this` and `other` represent the same fiber, or both represent not-a-fiber, `false` otherwise.

Throws:

  Nothing.

##### Member function `operator!=`()

    bool operator!=( id const& other) const noexcept;

Returns:

  `! (other == * this)`

Throws:

  Nothing.

##### Member function `operator<`()

    bool operator<( id const& other) const noexcept;

Returns:

  `true` if `*this != other` is true and the implementation-defined total order of `fiber::id` values places `*this` before `other`, false otherwise.

Throws:

  Nothing.

##### Member function `operator>`()

    bool operator>( id const& other) const noexcept;

Returns:

  `other < * this`

Throws:

  Nothing.

##### Member function `operator<=`()

    bool operator<=( id const& other) const noexcept;

Returns:

  `! (other < * this)`

Throws:

  Nothing.

##### Member function `operator>=`()

    bool operator>=( id const& other) const noexcept;

Returns:

  `! (* this < other)`

Throws:

  Nothing.

##### operator<<

    template< typename charT, class traitsT >
    std::basic_ostream< charT, traitsT > &
    operator<<( std::basic_ostream< charT, traitsT > & os, id const& other);

Efects:

  Writes the representation of `other` to stream `os`. The representation is unspecified.

Returns:

  `os`